import 'package:flutter/widgets.dart';
import 'package:rec_api_dart/src/entities/account.ent.dart';
import 'package:rec_api_dart/src/entities/entity.base.dart';

class Activity extends Entity {
  static bool areEquals(Activity? a, Activity? b) {
    return a != null && b != null && a.id == b.id;
  }

  String? name;
  String? nameEs;
  String? nameCa;
  String? description;
  String? status;
  List<Account> defaultConsumingProducts = [];
  List<Account> defaultProducingProducts = [];

  Activity({
    String? id,
    String? createdAt,
    String? updatedAt,
    this.name,
    this.nameEs,
    this.nameCa,
    this.description,
    this.status,
    this.defaultConsumingProducts = const [],
    this.defaultProducingProducts = const [],
  }) : super(id, createdAt, updatedAt);

  String? getNameForLocale(Locale locale) {
    switch (locale.languageCode) {
      case 'es':
        return nameEs;
      case 'ca':
        return nameCa;
      case 'en':
      default:
        return name;
    }
  }

  factory Activity.fromJson(Map<String, dynamic> json) {
    return Activity(
      id: '${json['id']}',
      createdAt: json['created'],
      updatedAt: json['updated'],
      name: json['name'],
      nameEs: json['name_es'],
      nameCa: json['name_ca'],
      description: json['description'],
      status: json['status'],
    );
  }

  @override
  Map<String, dynamic> toJson() {
    return {};
  }
}
