import 'package:rec_api_dart/src/entities/dto/form_data.dart';
import 'package:rec_api_dart/src/helpers/checks.dart';

class ChangePasswordData extends FormData {
  String? password;
  String? repassword;
  String? oldPassword;
  String? smsCode;

  ChangePasswordData({
    this.password,
    this.repassword,
    this.oldPassword,
    this.smsCode,
  });

  bool get isValid =>
      Checks.isNotEmpty(oldPassword) &&
      Checks.isNotEmpty(password) &&
      Checks.isNotEmpty(repassword) &&
      password == repassword;

  @override
  Map<String, dynamic> toJson() {
    return {
      'password': password,
      'repassword': repassword,
      'old_password': oldPassword,
      'sms_code': smsCode,
    };
  }
}
