import 'package:rec_api_dart/src/entities/dto/form_data.dart';
import 'package:rec_api_dart/src/helpers/checks.dart';

class ChangePinData extends FormData {
  String? pin;
  String? repin;
  String? password;
  String? smsCode;

  ChangePinData({
    this.pin,
    this.repin,
    this.password,
    this.smsCode,
  });

  bool get isValid =>
      Checks.isNotEmpty(pin) &&
      Checks.isNotEmpty(repin) &&
      Checks.isNotEmpty(password) &&
      pin == repin;

  @override
  Map<String, dynamic> toJson() {
    return {
      'pin': pin,
      'repin': repin,
      'password': password,
      'sms_code': smsCode,
    };
  }
}
