import 'package:rec_api_dart/src/entities/dto/form_data.dart';
import 'package:rec_api_dart/src/helpers/checks.dart';

class CreateDocumentData extends FormData {
  String content;
  String name;
  String? kindId;

  CreateDocumentData({
    required this.content,
    required this.name,
    required this.kindId,
  });

  bool get isValid => Checks.isNotEmpty(content) && Checks.isNotEmpty(kindId);

  @override
  Map<String, dynamic> toJson() {
    return {
      'content': content,
      'name': name,
      'kind_id': kindId,
    };
  }
}
