import 'package:rec_api_dart/src/entities/dto/form_data.dart';
import 'package:rec_api_dart/src/entities/offer.ent.dart';
import 'package:rec_api_dart/src/helpers/checks.dart';

class CreateOfferData extends FormData {
  OfferType type = OfferType.classic;
  String? description;
  String? image;
  String? end;
  num? initialPrice;
  num? offerPrice;
  num? discount;

  CreateOfferData();

  bool get isValid => Checks.isNotNull(type) && Checks.isNotNull(end);

  @override
  Map<String, dynamic> toJson() {
    return {
      'description': description,
      'end': end,
      'type': offerTypesMap[type],
      'initial_price': initialPrice,
      'offer_price': offerPrice,
      'discount': discount,
      'image': image,
    };
  }
}
