import 'package:rec_api_dart/src/entities/account.ent.dart';
import 'package:rec_api_dart/src/helpers/checks.dart';
import 'package:rec_api_dart/src/mixins/account_type.mixin.dart';
import 'package:rec_api_dart/src/entities/dto/form_data.dart';

class NewAccountData extends FormData with AccountType {
  @override
  String? accountType;
  String name;
  String cif;

  NewAccountData({
    this.accountType = Account.TYPE_PRIVATE,
    this.name = '',
    this.cif = '',
  });

  bool get isValid {
    if (isAccountPrivate && Checks.isNotEmpty(name)) return true;

    return Checks.isNotEmpty(name) && Checks.isNotEmpty(cif);
  }

  @override
  Map<String, dynamic> toJson() {
    return {
      'account_name': name,
      'company_cif': cif,
      'company_prefix': '',
      'company_phone': '',
      'type': accountType,
    };
  }
}
