import 'package:rec_api_dart/src/entities/account.ent.dart';
import 'package:rec_api_dart/src/mixins/account_type.mixin.dart';
import 'package:rec_api_dart/src/entities/dto/form_data.dart';

class RegisterData extends FormData with AccountType {
  String? dni;
  String? password;
  String? prefix;
  String? phone;

  @override
  String? accountType;

  bool? termsAccepted = false;

  // Only if type COMPANY
  String? companyName;
  String? companyCif;

  RegisterData({
    this.dni,
    this.password,
    this.prefix,
    this.phone,
    required this.accountType,
    this.companyName,
    this.companyCif,
  });

  @override
  Map<String, dynamic> toJson() {
    if (accountType == Account.TYPE_PRIVATE) {
      return {
        'dni': dni,
        'password': password,
        'prefix': prefix,
        'phone': phone,
      };
    }

    return {
      'dni': dni,
      'password': password,
      'prefix': prefix,
      'phone': phone,
      'company_name': companyName,
      'company_cif': companyCif,
    };
  }
}
