import 'package:rec_api_dart/src/helpers/checks.dart';
import 'package:rec_api_dart/src/entities/dto/form_data.dart';

class UnlockUserData extends FormData {
  String? dni;
  String? phone;
  String prefix;
  String? sms;

  UnlockUserData({this.dni, this.phone, this.prefix = '+34', this.sms});

  bool complete() {
    var hasDni = Checks.isNotEmpty(dni);
    var hasPrefix = Checks.isNotEmpty(prefix);
    var hasPhone = Checks.isNotEmpty(phone);
    var hasSMS = Checks.isNotEmpty(sms);

    return hasDni && hasPrefix && hasPhone && hasSMS;
  }

  @override
  Map<String, dynamic> toJson() {
    return {
      'dni': dni,
      'phone': phone,
      'prefix': prefix,
      'sms': sms,
    };
  }
}
