import 'package:rec_api_dart/src/entities/entity.base.dart';
import 'package:rec_api_dart/src/entities/map/map_campaign_data.dart';

class MapAccountData extends Entity {
  String? name;
  List<MapCampaignData> campaigns;
  double? latitude;
  double? longitude;
  bool? hasOffers;

  MapAccountData({
    String? id,
    String? createdAt,
    String? updatedAt,
    this.name,
    this.latitude,
    this.longitude,
    this.hasOffers,
    this.campaigns = const [],
  }) : super(id, createdAt, updatedAt);

  factory MapAccountData.fromJson(Map<String, dynamic> json) {
    var campaigns = <MapCampaignData>[];

    if (json['campaigns'] != null) {
      var jsonCampaigns = List.from(json['campaigns']);
      campaigns = jsonCampaigns.isNotEmpty
          ? jsonCampaigns
              .map<MapCampaignData>((el) => MapCampaignData.fromJson(el))
              .toList()
          : [];
    }

    return MapAccountData(
      id: '${json['id']}',
      name: json['name'],
      latitude: double.parse((json['latitude'] ?? 0).toString()),
      longitude: double.parse((json['longitude'] ?? 0).toString()),
      hasOffers: json['has_offers'],
      campaigns: campaigns,
    );
  }
}
