class Role {
  static const RoleReadonly = Role(
    name: 'ROLE_READONLY',
    subroles: [],
    hierarchy: 1,
  );

  static const RoleWorker = Role(
    name: 'ROLE_WORKER',
    subroles: [RoleReadonly],
    hierarchy: 2,
  );

  static const RoleAdmin = Role(
    name: 'ROLE_ADMIN',
    subroles: [RoleWorker, RoleReadonly],
    hierarchy: 3,
  );

  static final Map<String, Role> roleMap = {
    RoleReadonly.name: RoleReadonly,
    RoleWorker.name: RoleWorker,
    RoleAdmin.name: RoleAdmin,
  };

  static Role getRoleByName(String name) {
    return roleMap[name] ?? RoleReadonly;
  }

  final String name;
  final List<Role> subroles;
  final int hierarchy;

  const Role({
    required this.name,
    required this.subroles,
    required this.hierarchy,
  });
}
