import 'package:flutter/widgets.dart';
import 'package:intl/intl.dart';

class DateHelper {
  static String getWeekdayName(int weekday) {
    if (weekday == 1) return 'MONDAY';
    if (weekday == 2) return 'TUESDAY';
    if (weekday == 3) return 'WEDNESDAY';
    if (weekday == 4) return 'THURSDAY';
    if (weekday == 5) return 'FRIDAY';
    if (weekday == 6) return 'SATURDAY';
    if (weekday == 7) return 'SUNDAY';

    return getWeekdayName(DateTime.now().weekday);
  }

  static String formatDate(BuildContext context, DateTime date,
      {dynamic locale}) {
    return DateFormat.Hm(locale).format(date);
  }

  static DateTime timeStringToDateTime(String time, DateTime now) {
    if (time.isEmpty) {
      return now.add(const Duration(days: 1000));
    }

    var hourMinuteParts = time.split(':');
    var hours = int.parse(hourMinuteParts[0]);
    var minutes = int.parse(hourMinuteParts[1]);

    return DateTime(
      now.year,
      now.month,
      now.day,
      hours,
      minutes,
    );
  }
}
