import 'package:http_interceptor/http/interceptor_contract.dart';
import 'package:http_interceptor/models/request_data.dart';
import 'package:http_interceptor/models/response_data.dart';
import 'package:rec_api_dart/src/env.base.dart';
import 'package:rec_api_dart/src/services/public/app_service.dart';

class AppTokenInterceptor implements InterceptorContract {
  AppService appService;

  AppTokenInterceptor({required EnvBase env})
      : appService = AppService(env: env);

  @override
  Future<RequestData> interceptRequest({required RequestData data}) async {
    var tokens = await appService.getAppToken();
    data.headers['Authorization'] = 'Bearer ${tokens['access_token']}';
    return data;
  }

  @override
  Future<ResponseData> interceptResponse({required ResponseData data}) async {
    return data;
  }
}
