import 'package:http_interceptor/http/interceptor_contract.dart';
import 'package:http_interceptor/models/request_data.dart';
import 'package:http_interceptor/models/response_data.dart';
import 'package:rec_api_dart/src/auth.dart';

class UserTokenInterceptor implements InterceptorContract {
  UserTokenInterceptor();

  @override
  Future<RequestData> interceptRequest({required RequestData data}) async {
    var token = await Auth.getAccessToken();
    data.headers['Authorization'] = 'Bearer $token';
    return data;
  }

  @override
  Future<ResponseData> interceptResponse({required ResponseData data}) async {
    return data;
  }
}
