class ApiListResponse<T> {
  List<T>? items = [];
  int? total = 0;

  ApiListResponse({this.items, this.total});

  @override
  String toString() {
    return items!.join(',');
  }

  factory ApiListResponse.fromJson(
    Map<String, dynamic> json, {
    required T Function(Map<String, dynamic> json) mapper,
  }) {
    return ApiListResponse(
      items: json['elements'] != null && !json['elements'].isEmpty
          ? List.from(json['elements']).map((el) => mapper(el)).toList()
          : [],
      total: json['total'],
    );
  }
}
