import 'package:http/http.dart';
import 'package:rec_api_dart/src/api_paths.dart';
import 'package:rec_api_dart/src/env.base.dart';
import 'package:rec_api_dart/src/interceptors/app_token_interceptor.dart';
import 'package:rec_api_dart/src/services/base_service.dart';

class PhoneVerificationService extends ServiceBase {
  PhoneVerificationService({required EnvBase env, Client? client})
      : super(
          env: env,
          client: client,
          interceptors: [
            AppTokenInterceptor(env: env),
          ],
        );

  Future validatePhone({
    String? dni,
    required String smscode,
    String? prefix,
    String? phone,
  }) async {
    var pathWithParams = ApiPaths.verifyPhone.withQueryParams({}).toUri(env);

    var body = {
      'smscode': int.parse(smscode),
      'dni': dni,
      'prefix': prefix,
      'phone': phone,
    };

    return this.post(pathWithParams, body);
  }
}
