import 'package:http/http.dart';
import 'package:rec_api_dart/src/api_paths.dart';
import 'package:rec_api_dart/src/entities/dto/recover_password_data.dart';
import 'package:rec_api_dart/src/env.base.dart';
import 'package:rec_api_dart/src/interceptors/app_token_interceptor.dart';
import 'package:rec_api_dart/src/services/base_service.dart';

class RecoverPasswordService extends ServiceBase {
  RecoverPasswordService({required EnvBase env, Client? client})
      : super(
          env: env,
          client: client,
          interceptors: [AppTokenInterceptor(env: env)],
        );

  Future recoverPassword(RecoverPasswordData data) async {
    var pathWithParams = ApiPaths.recoverPassword.toUri(env);
    var body = {
      'password': data.password,
      'repassword': data.repassword,
      'smscode': data.code,
      'dni': data.dni,
      'prefix': data.prefix,
      'phone': data.phone,
    };

    return this.post(pathWithParams, body);
  }
}
