import 'package:http/http.dart';
import 'package:rec_api_dart/src/api_paths.dart';
import 'package:rec_api_dart/src/entities/dto/unlock_user_data.dart';
import 'package:rec_api_dart/src/env.base.dart';
import 'package:rec_api_dart/src/interceptors/app_token_interceptor.dart';
import 'package:rec_api_dart/src/services/base_service.dart';

class UnlockUserService extends ServiceBase {
  UnlockUserService({required EnvBase env, Client? client})
      : super(
          env: env,
          client: client,
          interceptors: [AppTokenInterceptor(env: env)],
        );

  Future<Map<String, dynamic>> unlockUser(UnlockUserData data) {
    final uri = ApiPaths.unlockUser.toUri(env);
    var body = {
      'prefix': data.prefix,
      'phone': data.phone,
      'dni': data.dni,
      'smscode': data.sms,
    };

    return this.post(uri, body);
  }
}
