import 'package:http/http.dart';
import 'package:rec_api_dart/src/api_paths.dart';
import 'package:rec_api_dart/src/entities/contact_info.ent.dart';
import 'package:rec_api_dart/src/env.base.dart';
import 'package:rec_api_dart/src/interceptors/user_token_interceptor.dart';
import 'package:rec_api_dart/src/interfaces/api_list_response.dart';
import 'package:rec_api_dart/src/services/base_service.dart';

class RecContactsService extends ServiceBase {
  RecContactsService({required EnvBase env, Client? client})
      : super(
          env: env,
          client: client,
          interceptors: [UserTokenInterceptor()],
        );

  Future<ApiListResponse<ContactInfo>> getContacts(
    List<String?> phoneList,
  ) async {
    var pathWithParams = ApiPaths.getContacts.toUri(env);

    return this.post(pathWithParams, {
      'phone_list': phoneList,
    }).then((value) {
      return _mapToApiListReponse(value);
    });
  }

  ApiListResponse<ContactInfo> _mapToApiListReponse(Map<String, dynamic> data) {
    return ApiListResponse<ContactInfo>.fromJson(
      {'elements': data['data']},
      mapper: (el) => ContactInfo.fromJson(el),
    );
  }
}
