import 'dart:math';

import 'package:http/http.dart';
import 'package:rec_api_dart/src/api_paths.dart';
import 'package:rec_api_dart/src/entities/account.ent.dart';
import 'package:rec_api_dart/src/env.base.dart';
import 'package:rec_api_dart/src/interceptors/user_token_interceptor.dart';
import 'package:rec_api_dart/src/interfaces/api_list_response.dart';
import 'package:rec_api_dart/src/services/base_service.dart';

@Deprecated("Exchangers are no longer handled in the app")
class ExchangersService extends ServiceBase {
  ExchangersService({required EnvBase env, Client? client})
      : super(
          env: env,
          client: client,
          interceptors: [UserTokenInterceptor()],
        );

  /// list all exchangers
  Future<ApiListResponse<Account>> list() {
    final uri = ApiPaths.getExchangers.toUri(env);

    return this.get(uri).then(_mapToApiListReponse);
  }

  Future<Account> getRandom() async {
    return await list().then((resp) {
      return resp.items![Random().nextInt(resp.items!.length)];
    });
  }

  ApiListResponse<Account> _mapToApiListReponse(Map<String, dynamic> data) {
    return ApiListResponse<Account>.fromJson(
      data['data'],
      mapper: (el) => Account.fromJson(el),
    );
  }
}
