import 'package:flutter_test/flutter_test.dart';
import 'package:rec_api_dart/src/entities/main.dart';
import '../mocks/accounts_mock.dart';

void main() {
  var workerUser = User(
    username: 'Test',
    roles: [Role.RoleWorker],
  );

  test('User works with data', () async {
    var user = User(
      username: 'Test',
    );
    expect(user.username, 'Test');
  });

  test('User works fromJson', () async {
    var user = User.fromJson({
      'username': 'test',
      'roles': ['ROLE_WORKER'],
      'active_group': AccountsMock.accountNormalJson,
      'activeAccounts': [],
      'kyc_validations': {},
    });
    expect(user.username, 'test');
    expect(user.roles, [Role.RoleWorker]);
  });

  test('User.hasRoles works with user with valid Roles', () async {
    expect(workerUser.hasRoles([Role.RoleWorker]), true);
  });

  test('User.hasRoles works with user with invalid Roles', () async {
    expect(workerUser.hasRoles([Role.RoleAdmin]), false);
  });
}
